Delete image | Moov Documentation
Delete image
Disable an image by its ID.
Disabled images are still accessible via their public URL, and cannot be assigned to products or line-items.
DELETE
/accounts/{accountID}/images/{imageID}
Ask
curl -X DELETE "https://api.moov.io/accounts/{accountID}/images/{imageID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.images.delete({
accountID: "866c32ce-2536-4b21-8e12-f8c474fb2a9b",
imageID: "ca048253-31d2-4bfb-9077-1f07a2a09f26",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->images->delete(
accountID: '866c32ce-2536-4b21-8e12-f8c474fb2a9b',
imageID: 'ca048253-31d2-4bfb-9077-1f07a2a09f26'
);
if ($response->statusCode === 200) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.DeleteImageResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
DeleteImageResponse res = sdk.images().delete()
.accountID("866c32ce-2536-4b21-8e12-f8c474fb2a9b")
.imageID("ca048253-31d2-4bfb-9077-1f07a2a09f26")
.call();
// handle response
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.images.delete(account_id="866c32ce-2536-4b21-8e12-f8c474fb2a9b", image_id="ca048253-31d2-4bfb-9077-1f07a2a09f26")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.images.delete(account_id: '866c32ce-2536-4b21-8e12-f8c474fb2a9b', image_id: 'ca048253-31d2-4bfb-9077-1f07a2a09f26')
if res.status_code == 200
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Images.DeleteAsync(
accountID: "866c32ce-2536-4b21-8e12-f8c474fb2a9b",
imageID: "ca048253-31d2-4bfb-9077-1f07a2a09f26"
);
// handle response
Response headers
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.